<style>
    .container-my {
        position: absolute;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100%;
        width: 100%;
    }

    .popup {
        display: flex;
        flex-direction: column;
        width: 35rem;
        padding: 3rem;
        gap: 1rem;
        background-color: white;
        box-shadow: 0px 5px 35px rgba(0, 0, 0, 0.25);
        opacity: 0;
        transform: translateY(5%);
        visibility: hidden;
        transition: all 0.25s;
        z-index: -1;

    h2 {
        font-weight: 700;
        font-size: 2rem;
    }

    button {
        border: none;
        cursor: pointer;
    }

    .button {
        padding: 0.5rem;
        background-color: $blue;
        color: white;
        box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.15);
        transition: box-shadow 0.25s;
    }

    .button:hover {
        box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.5);
    }

    .close {
        position: absolute;
        color: black;
        background-color: transparent;
        font-weight: 700;
        font-size: 1.25rem;
        right: 0;
        top: 0;
        margin: 1rem 1.5rem;
    }
    }

    .popup.active {
        opacity: 1;
        transform: translateY(0%);
        visibility: visible;
        z-index: 1;
    }

</style>
<?php
session_start();
include('../config/config.php');
require_once('../config/checklogin.php');
require_once("phpqrcode/qrlib.php");
client();
include('../config/codeGen.php');

/* Add Reservations */
if (isset($_POST['add_reservation'])) {
    //Error Handling and prevention of posting double entries
    $error = 0;

    if (isset($_POST['id']) && !empty($_POST['id'])) {
        $id = mysqli_real_escape_string($mysqli, trim($_POST['id']));
    } else {
        $error = 1;
        $err = 'ID Cannot Be Empty';
    }

    if (isset($_POST['code']) && !empty($_POST['code'])) {
        $code = mysqli_real_escape_string($mysqli, trim($_POST['code']));
    } else {
        $error = 1;
        $err = 'Reservation Code Cannot Be Empty';
    }

    if (isset($_POST['client_name']) && !empty($_POST['client_name'])) {
        $client_name = mysqli_real_escape_string($mysqli, trim($_POST['client_name']));
    } else {
        $error = 1;
        $err = 'Client Name Cannot Be Empty';
    }

    if (isset($_POST['client_phone']) && !empty($_POST['client_phone'])) {
        $client_phone = mysqli_real_escape_string($mysqli, trim((($_POST['client_phone']))));
    } else {
        $error = 1;
        $err = 'Client Phone  Cannot Be Empty';
    }

    if (isset($_POST['car_regno']) && !empty($_POST['car_regno'])) {
        $car_regno = mysqli_real_escape_string($mysqli, trim($_POST['car_regno']));
    } else {
        $error = 1;
        $err = 'Client Car Reg Number Cannot Be Empty';
    }

    if (isset($_POST['lot_number']) && !empty($_POST['lot_number'])) {
        $lot_number = mysqli_real_escape_string($mysqli, trim($_POST['lot_number']));
    } else {
        $error = 1;
        $err = 'Parking Lot Number Be Empty';
    }

    if (isset($_POST['parking_duration']) && !empty($_POST['parking_duration'])) {
        $parking_duration = mysqli_real_escape_string($mysqli, trim($_POST['parking_duration']));
    } else {
        $error = 1;
        $err = 'Parking Duration Cannot  Be Empty';
    }

    if (isset($_POST['parking_date']) && !empty($_POST['parking_date'])) {
        $parking_date = mysqli_real_escape_string($mysqli, trim($_POST['parking_date']));
    } else {
        $error = 1;
        $err = 'Parking Date Number Be Empty';
    }

    if (isset($_POST['amt']) && !empty($_POST['amt'])) {
        $amt = mysqli_real_escape_string($mysqli, trim($_POST['amt']));
    } else {
        $error = 1;
        $err = 'Parking Amount Number Be Empty';
    }

    if (isset($_POST['status']) && !empty($_POST['status'])) {
        $status = mysqli_real_escape_string($mysqli, trim($_POST['status']));
    } else {
        $error = 1;
        $err = 'Reservation Status Number Be Empty';
    }
    if (isset($_POST['slot_number']) && !empty($_POST['slot_number'])) {
        $slot_number = mysqli_real_escape_string($mysqli, trim($_POST['slot_number']));
    } else {
        $error = 1;
        $err = 'Slot Number Be Empty';
    }
    if (isset($_POST['client_id']) && !empty($_POST['client_id'])) {
        $client_id = mysqli_real_escape_string($mysqli, trim($_POST['client_id']));
    } else {
        $error = 1;
        $err = 'client Number Be Empty';
    }
    if (isset($_POST['parking_id']) && !empty($_POST['parking_id'])) {
        $parking_id = mysqli_real_escape_string($mysqli, trim($_POST['parking_id']));
    } else {
        $error = 1;
        $err = 'parking_id  Be Empty';
    }





    if (!$error) {
        //prevent Double entries
        $sql = "SELECT * FROM  reservations WHERE  code='$code' ";
        $res = mysqli_query($mysqli, $sql);
        if (mysqli_num_rows($res) > 0) {
            $row = mysqli_fetch_assoc($res);
            if (
                $code = $row['code']
            ) {
                $err =  "Client Parking Reservation With That Code Number Already Exists ";
            } else {
            }
        } else {
        $final =    $amt*$parking_duration;
            $query = 'INSERT INTO reservations (id, parking_lots_id	,code, client_name, client_phone,clients_id ,car_regno, lot_number, parking_duration, parking_date, amt, status) VALUES(?,?,?,?,?,?,?,?,?,?,?,?)';
            $stmt = $mysqli->prepare($query);
            $rc = $stmt->bind_param(
                'ssssssssssss',
                $id,
                $parking_id,
                $code,
                $client_name,
                $client_phone,
                $client_id,
                $car_regno,
                $slot_number,
                $parking_duration,
                $parking_date,
                $final,
                $status
            );
            $stmt->execute();
            if ($stmt) {
                $item =$id;
                $file = "images/".$id.".png";
                $ecc = 'H';
                $pixel_size = 20;
                $frame_size = 5;
                QRcode::png($item, $file, $ecc, $pixel_size, $frame_size);
                echo '<div class="container-my">
  <div class="popup" id="popup-card">
  <div><h3>Generated QR Code for Your Reservation</h3><br><img src= '.$file.' width="150"></div>
    <a  href='.$file.'  class="popup-close button" download>Download</a>
    <button class="popup-close close">x</button>
  </div>
  
</div>';
                
                

//                $success =
//                    'Client Account Parking Reservation Added' && header('refresh:1; url=parking_lots.php');
            } else {
                $info = 'Please Try Again Or Try Later';
            }
        }
    }
}
require_once("../partials/head.php");
?>
<style>
    select{
        width: 400px;
        max-width: 100%;
        overflow-y: auto;
        cursor: pointer;
        padding: 15px 25px;
        -webkit-appearance: none;
        -moz-appearance: none;
        border: none;
        outline: none;
        border-radius: 12px;
        color: #444;
        font-size: 18px;
        box-shadow: -3px 3px 5px 0px rgba(0,0,0,0.10);
    }
    select option{
        padding: 10px 20px;
        margin-bottom: 8px;
        border-radius: 12px;
        background-color: rgb(238, 238, 238);
        white-space: pre-wrap;
        cursor: pointer;
    }
    select option:hover{
        background-color: rgb(223, 223, 223);
    }
    select option:checked{
        box-shadow: 0 0 10px 100px #595959 inset;
    }
    select::-webkit-scrollbar-track
    {
        background-color: #F5F5F5;
        border-radius: 12px;
    }

    select::-webkit-scrollbar
    {
        width: 8px;
        background-color: #F5F5F5;
    }

    select::-webkit-scrollbar-thumb
    {
        background-color: rgb(225, 225, 225);
        border-radius: 12px;
        background-image: -webkit-linear-gradient(90deg,
        rgba(160, 160, 160, 0.2) 25%,
        transparent 25%,
        transparent 50%,
        rgba(160, 160, 160, 0.2) 50%,
        rgba(160, 160, 160, 0.2) 75%,
        transparent 75%,
        transparent)
    }
    select.fadeIn {
        animation: fadeInDown 0.2s;
    }
    select.fadeOut{
        animation: fadeInUp 0.2s;
    }
</style>

<body>

    <!-- Navigation Bar-->
    <?php
    require_once('../partials/client_nav.php');
    /* 
        Load Logged In User Details Here To Avoid 
        Re entering them on reservations
     */
    $id  = $_SESSION['id'];
    $ret = "SELECT * FROM  clients  WHERE id = '$id'";
    $stmt = $mysqli->prepare($ret);
    $stmt->execute(); //ok
    $res = $stmt->get_result();
    while ($client = $res->fetch_object()) {
    ?>
        <!-- End Navigation Bar-->


        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="wrapper">
            <div class="container">

                <!-- Page-Title -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="page-title-box">
                            <div class="btn-group float-right m-t-15">
                            </div>
                            <h4 class="page-title">Parking Lots</h4>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-12">
                        <div class="card-box">
                            <table id="datatable" class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Code Number</th>
                                        <th>Parking Lot Location</th>
                                        <th>Parking Slots</th>
                                        <th>Price Per Slot</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>


                                <tbody>
                                    <?php
                                    $ret = 'SELECT * FROM `parking_lots` ';
                                    $stmt = $mysqli->prepare($ret);
                                    $stmt->execute(); //ok
                                    $res = $stmt->get_result();
                                    while ($parking = $res->fetch_object()) { ?>
                                        <tr>
                                            <td><?php echo $parking->which_prg; ?></td>
                                            <td><?php echo $parking->location; ?></td>
                                            <td><?php echo $parking->parking_slots; ?></td>
                                            <td>Kč <?php echo $parking->price_per_slot; ?></td>
                                            <td>
                                                <a href="#reserve-<?php echo $parking->id; ?>" data-toggle="modal" class="badge bg-warning">Reserve Parking Lot</a>
                                                <!-- Update Modal -->
                                                <div class="modal fade" id="reserve-<?php echo $parking->id; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Reserve A Parking Slot On <?php echo $parking->code; ?></h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form method="post" enctype="multipart/form-data">
                                                                    <div class="card-body">
                                                                        <div class="row">
                                                                            <!-- Hide This -->
                                                                            <input type="hidden" required name="parking_id" value="<?php echo $parking->id;  ?>" class="form-control" >
                                                                            <input type="hidden" required name="client_id" value="<?php echo $_SESSION['id']; ?>" class="form-control" >
                                                                            <input type="hidden" required name="id" value="<?php echo $ID; ?>" class="form-control" >
                                                                            <input type="hidden" required name="status" value="Pending" class="form-control">
                                                                            <div class="form-group col-md-6">
                                                                                <label for="">Client Name</label>
                                                                                <input type="text" required name="client_name" value="<?php echo $client->name; ?>" class="form-control">
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <label for="">Client Phone Number</label>
                                                                                <input type="text" required name="client_phone" value="<?php echo $client->phone; ?>" class="form-control">
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <label for="">Client Car Reg Number</label>
                                                                                <input type="text" required value="<?php echo $client->car_regno; ?>" name="car_regno" class="form-control">
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <label for="">Parking Duration (Hours)</label>
                                                                                <input type="number" required name="parking_duration" class="form-control" >
                                                                            </div>

                                                                            <div class="form-group col-md-4">
                                                                                <input type="hidden" required name="code" value="<?php echo $a; ?>-<?php echo $b; ?>" class="form-control">
                                                                            </div>

                                                                            <div class="form-group col-md-4">
                                                                                <input type="hidden" required name="lot_number" id="lot_number" value="<?php echo $parking->code; ?>" class="form-control">
                                                                            </div>

                                                                            <div class="form-group col-md-4">
                                                                                <input type="hidden" required name="amt" value="<?php echo $parking->price_per_slot; ?>" class="form-control">
                                                                            </div>
                                                                            <div class="form-group col-md-12">
                                                                                <label for="">Parking Date And Time</label>
<!--                                                                                <input type="datetime-local"  required name="parking_date" class="form-control" id="date_res" >-->
                                                                                <input type="text"
                                                                                       class="datetimepicker" id="date_pcr" data-target="#dt_expdate" id="dt_expdate"  name="parking_date" />
                                                                                <div class="input-group-append" data-target="#dt_expdate" data-toggle="datetimepicker">
                                                                                    <div class="input-group-text form-control-sm"><i class="fa fa-calendar"></i></div>
                                                                                </div
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <label for="">Select Floor</label>
                                                                                <select size="1" id="mySelect" onchange="getval(this,'<?php echo ''.$parking->code.''; ?>');" required>
                                                                                    <option value="dd">Select an option</option>
                                                                            <?php

                                                                            $ret = "SELECT * FROM `parking_desc` WHERE `parking_lots_id` = '$parking->id' ";
                                                                            $stmtd = $mysqli->prepare($ret);
                                                                            $stmtd->execute(); //ok
                                                                            $resd = $stmtd->get_result();
                                                                            while ($parking_slot = $resd->fetch_object()) {
                                                                               $no_of_floors = $parking_slot->no_of_floors;
                                                                            }
                                                                            if(isset($no_of_floors)){
                                                                            for ($i = 1; $i<= $no_of_floors; $i++)
                                                                                {
                                                                                 ?>
                                                                                    <option value="<?php echo $parking->id .'-'.$i; ?>"><?php echo $i; ?></option>
                                                                                <?php
                                                                                }
                                                                            }
                                                                              ?>


                                                                                </select>
                                                                            </div>
                                                                            <div class="form-group col-md-6" id="get_floors">
                                                                                <select id="mySelect_1_<?php echo $parking->code; ?>" name="slot_number" onchange="updatelot(this);" >
                                                                                    <option> please Select option </option>

                                                                                 </select>
                                                                            </div>



                                                                        </div>
                                                                        <div class="text-right">
                                                                            <button type="submit" name="add_reservation" class="btn btn-primary">Submit</button>
                                                                        </div>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                            <div class="modal-footer ">
                                                                <button type="button" class="pull-left btn btn-secondary" data-dismiss="modal">Close</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    <?php } ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end row -->
            </div> <!-- container -->


            <!-- Footer -->
            <?php require_once("../partials/footer.php"); ?>
            <!-- End Footer -->


        </div>
        <!-- End wrapper -->
    <?php require_once("../partials/scripts.php");
    } ?>
    <script src=
            "https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js">
    </script>
    <!-- CSS CDN -->
    <link rel="stylesheet"
          href=
          "https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.min.css"
    />
    <!-- datetimepicker jQuery CDN -->
    <script src=
            "https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js">
    </script>
<script>
    $(".datetimepicker").each(function () {
        $(this).datetimepicker();

    });
    $(".datetimepicker").on('change', function(event) {
        window.date_t = this.value;

    });
    function updatelot(del)
    {
        $("#lot_number").value(del.value)
    }
    function getval(sel,parking_code)
    {
     //  var value = $(".datetimepicker").attr('value');


        if( $("#mySelect_1_"+parking_code).has('option').length > 0 ) {
            $("#mySelect_1_"+parking_code).empty().append(new Option('--Select--',''));
        }

        $.ajax({
            type: 'POST',
            url: '../partials/getselected_floors.php',
            data: { option: sel.value, date_of_slot :  window.date_t },
            success: function(response) {

                var options = JSON.parse(response);
                var select = $("#mySelect_1_"+parking_code);
                for (var i = 0; i < options.length; i++) {
                    select.append("<option value='" + options[i] + "'>" + options[i] + "</option>");
                }

            }
        });
    }
    const popupWindow = document.querySelector("#popup-card");
    const popupClose = document.querySelectorAll(".popup-close");

    window.addEventListener("load", () => {
        popupWindow.classList.add("active");
    });

    popupClose.forEach((close) =>
        close.addEventListener("click", () => {
            popupWindow.classList.remove("active");
        })
    );

</script>

</body>

</html>